package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelGoodsOrder;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.qs.mp.common.domain.DeliveryCompany;
import com.qs.mp.user.domain.vo.OrderDeliverItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangkaikai
 * @create 2023-06-05 1:45 PM
 **/
@ApiModel("门店采购商品订单详情出参类")
@Data
public class ChannelGoodsOrderInfoVO extends ChannelGoodsOrder {

    @ApiModelProperty("自动确认收货时间")
    private String autoConfirmTime;

    // 物流信息
    @ApiModelProperty("物流信息")
    List<OrderDeliverItemVO> deliverList;


    @ApiModelProperty("物流信息")
    private DeliveryCompany deliveryCompany;

    @ApiModelProperty("渠道信息")
    private ChannelVO channel;

    @ApiModelProperty("门店名称")
    private String channelName;

    @ApiModelProperty("采购商品订单详情")
    private List<ChannelGoodsOrderItemVO> channelGoodsOrderItem;

}
